## kqtquickcharts 23.04.1

=== debian/changelog ===
kqtquickcharts (4:23.04.1-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 12:26:35 +0000

kqtquickcharts (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:05:12 +0000

kqtquickcharts (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:34:12 +0000

kqtquickcharts (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:10:40 +0000

kqtquickcharts (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:45:47 +0000

kqtquickcharts (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:53:32 +0000

kqtquickcharts (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:14:24 +0000

kqtquickcharts (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:34:38 +0000

kqtquickcharts (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:15:14 +0000

kqtquickcharts (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:03:58 +0000

kqtquickcharts (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:25:08 +0000

kqtquickcharts (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:18:59 +0000

kqtquickcharts (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:33:38 +0000

kqtquickcharts (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:07:05 +0000

kqtquickcharts (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:05:01 +0000

kqtquickcharts (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:13:08 +0000

kqtquickcharts (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 08:56:05 +0000

kqtquickcharts (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:04 +0000

kqtquickcharts (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:03 +0000

kqtquickcharts (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:02 +0000

kqtquickcharts (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:27:58 +0000

kqtquickcharts (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:27 +0000

kqtquickcharts (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:59 +0000

kqtquickcharts (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:54 +0000

kqtquickcharts (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:14:54 +0000

kqtquickcharts (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.29:32 +0000

kqtquickcharts (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:37:05 +0000

kqtquickcharts (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:11:09 +0000

kqtquickcharts (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:30:48 +0000

kqtquickcharts (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:28:22 +0000

kqtquickcharts (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:21:05 +0000

kqtquickcharts (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:41:08 +0000

kqtquickcharts (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:27:09 +0000

kqtquickcharts (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:49:52 +0000

kqtquickcharts (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:04:23 +0000

kqtquickcharts (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:46:25 +0000

kqtquickcharts (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:16:07 +0000

kqtquickcharts (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:54:32 +0000

kqtquickcharts (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:15:17 +0000

kqtquickcharts (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:13:03 +0000

kqtquickcharts (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:26:28 +0000

kqtquickcharts (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:23:27 +0000

kqtquickcharts (4:19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:36:49 +0000

kqtquickcharts (4:19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:04:23 +0000



=== debian/control ===
Source: kqtquickcharts
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.1.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/kdeedu/kqtquickcharts
Vcs-Git: https://invent.kde.org/neon/kde/kqtquickcharts.git
Vcs-Browser: https://invent.kde.org/neon/kde/kqtquickcharts
Maintainer: Neon CI <neon@kde.org>

Package: qml-module-org-kde-charts
Architecture: any
Section: libs
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 kqtquickcharts is part of KDE Applications.

## kqtquickcharts 23.08.0

=== debian/changelog ===
kqtquickcharts (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:32 +0100

kqtquickcharts (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:02 +0100

kqtquickcharts (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:32 +0100

kqtquickcharts (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:36 +0100

kqtquickcharts (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:09 +0000

kqtquickcharts (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:14 -0600

kqtquickcharts (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:56 +0000

kqtquickcharts (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:46:58 +0000

kqtquickcharts (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:39 +0000

kqtquickcharts (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:53 +0000

kqtquickcharts (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:03 +0000

kqtquickcharts (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:54 +0000

## kqtquickcharts 23.08.1

=== debian/changelog ===
kqtquickcharts (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:29 +0100

## kqtquickcharts 23.08.4

=== debian/changelog ===
kqtquickcharts (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:42 +0000

kqtquickcharts (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:51 +0000

kqtquickcharts (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:39 +0100

## kqtquickcharts 23.08.5

=== debian/changelog ===
kqtquickcharts (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:05 +1100

kqtquickcharts (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:16:07 +0000

kqtquickcharts (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:14:34 -0700

## kqtquickcharts 24.12.0

=== debian/changelog ===
kqtquickcharts (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:31 +0000

kqtquickcharts (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:16 +0000

kqtquickcharts (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 07:09:17 +0000

## kqtquickcharts 24.12.1

=== debian/changelog ===
kqtquickcharts (4:24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.1).
  * Bump Standards-Version to 4.7.0, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 15:20:43 +0100

=== debian/control ===
Source: kqtquickcharts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.1.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kqtquickcharts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts.git
Rules-Requires-Root: no

Package: qml-module-org-kde-charts
Architecture: any
Section: libs
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 kqtquickcharts is part of KDE Applications.

## kqtquickcharts 24.12.3

=== debian/changelog ===
kqtquickcharts (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:39 +0000

kqtquickcharts (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:01:46 +0000

kqtquickcharts (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 06:18:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: kqtquickcharts
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.2.0~),
                qtdeclarative5-dev (>= 5.2.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/libraries/kqtquickcharts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kqtquickcharts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kqtquickcharts
 Rules-Requires-Root: no
 
 Package: qml-module-org-kde-charts

## kqtquickcharts 25.04.0

=== debian/changelog ===
kqtquickcharts (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:30 +0200

=== debian/control ===
Source: kqtquickcharts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.5~),
               extra-cmake-modules (>= 1.1.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/kqtquickcharts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts.git
Rules-Requires-Root: no

Package: qml-module-org-kde-charts
Architecture: any
Section: libs
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 kqtquickcharts is part of KDE Applications.

## kqtquickcharts 25.04.3

=== debian/changelog ===
kqtquickcharts (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:47 +0100

kqtquickcharts (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:54:39 +0100

kqtquickcharts (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:13:09 +0100

kqtquickcharts (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:57:05 +0100

## kqtquickcharts 25.08.0

=== debian/changelog ===
kqtquickcharts (4:25.08.0-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream Release.
  * Switch build from Qt5 to Qt6.

  [ Aurélien COUDERC ]
  * Switch to declarative dh-sequence-qmldeps for runtime QML
    dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 18 Aug 2025 23:33:30 +0200

=== debian/control ===
Source: kqtquickcharts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.5~),
               extra-cmake-modules (>= 1.1.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/kqtquickcharts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts.git
Rules-Requires-Root: no

Package: qml6-module-org-kde-charts
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 kqtquickcharts is part of KDE Applications.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# remove development files
	rm -rf debian/qml-module-org-kde-charts/usr/include/
	rm -rf debian/qml-module-org-kde-charts/usr/lib/*/cmake/

## kqtquickcharts 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(KQtQuickCharts)

# Dependencies
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

set(REQUIRED_QT_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0") # handled by release scripts

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
set(CMAKE_CXX_STANDARD 17)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)

#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

#add_definitions(-Wno-deprecated)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)



# Includes
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)

# ECM setup
ecm_setup_version(
  ${KF_MIN_VERSION}
  VARIABLE_PREFIX KQTQUICKCHARTS
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kqtquickcharts_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KQtQuickChartsConfigVersion.cmake"
  SOVERSION 1)

#add_subdirectory(autotests)

add_subdirectory(src)

# if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
#     add_subdirectory(tests)
# endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KQtQuickCharts")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KQtQuickChartsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KQtQuickChartsConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KQtQuickChartsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KQtQuickChartsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

# install(EXPORT
#   KQtQuickChartsTargets
#   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
#   FILE KQtQuickChartsTargets.cmake
#   NAMESPACE KF5::
#   COMPONENT Devel
# )

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kqtquickcharts_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
  COMPONENT Devel
)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== debian/changelog ===
kqtquickcharts (4:25.08.1-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:45:11 +0000

kqtquickcharts (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:46:58 +0000

kqtquickcharts (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:08:30 +0000

kqtquickcharts (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:42:05 +0000

kqtquickcharts (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:43:49 +0000

kqtquickcharts (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:30:46 +0000

kqtquickcharts (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:42:39 +0000

kqtquickcharts (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:07:27 +0000

kqtquickcharts (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:45:17 +0000

kqtquickcharts (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:37:08 +0000

kqtquickcharts (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:32:10 +0000

kqtquickcharts (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:46:56 +0000

kqtquickcharts (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:19:53 +0000

kqtquickcharts (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:51:50 +0000

kqtquickcharts (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:48:10 +0000

kqtquickcharts (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:25:44 +0000

kqtquickcharts (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:43:56 +0000

kqtquickcharts (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:34:54 +0000

kqtquickcharts (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:25:48 +0000

kqtquickcharts (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:05:38 +0000

kqtquickcharts (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:43:48 +0000

kqtquickcharts (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:39:45 +0000

kqtquickcharts (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:27:31 +0000

kqtquickcharts (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:11:20 +0000

kqtquickcharts (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:44:16 +0000

## kqtquickcharts 25.08.1+p24.04+vstable+git20250911.1254

=== debian/changelog ===
kqtquickcharts (4:25.08.1+p24.04+vstable+git20250911.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 12:54:44 +0000

=== debian/control ===
Source: kqtquickcharts
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kqtquickcharts
Vcs-Git: https://invent.kde.org/neon/kde/kqtquickcharts.git
Vcs-Browser: https://invent.kde.org/neon/kde/kqtquickcharts
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-kde-charts
Architecture: any
Section: libs
Depends: qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Breaks: qml-module-org-kde-charts (<< 4:25.08.0)
Replaces: qml-module-org-kde-charts (<< 4:25.08.0)
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 kqtquickcharts is part of KDE Applications.

Package: qml6-module-org-kde-charts-dev
Architecture: any
Section: libs
Depends: qml6-module-org-kde-charts,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 These are the development files.

Package: qml-module-org-kde-charts
Architecture: all
Depends: qml6-module-org-kde-charts, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kqtquickcharts 25.08.2

=== debian/changelog ===
kqtquickcharts (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:52:03 +0100

kqtquickcharts (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:35 +0100

kqtquickcharts (4:25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. (LP: #2120926). Remaining changes:
    - d/control: Kubuntu Vcs and maintainer fields.
    - d/rules: Remove incorrect '--with kf5'.
    - Update upstream signing keys.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Aug 2025 11:27:43 +0100

=== debian/control ===
Source: kqtquickcharts
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 1.1.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/kqtquickcharts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kqtquickcharts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kqtquickcharts
Rules-Requires-Root: no

Package: qml6-module-org-kde-charts
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 kqtquickcharts is part of KDE Applications.

## kqtquickcharts 25.08.2+p24.04+vstable+git20251011.0840

=== debian/changelog ===
kqtquickcharts (4:25.08.2+p24.04+vstable+git20251011.0840-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:40:37 +0000

kqtquickcharts (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:31:14 +0000

## kqtquickcharts 25.08.3

=== debian/changelog ===
kqtquickcharts (4:25.08.3-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:35:32 +0000

kqtquickcharts (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:15 +1000

## kqtquickcharts 25.08.3+p24.04+vunstable+git20251106.1636

=== debian/changelog ===
kqtquickcharts (4:25.08.3+p24.04+vunstable+git20251106.1636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:36:40 +0000

## kqtquickcharts 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
 project(KQtQuickCharts)
 
@@ -6,7 +6,7 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 set(REQUIRED_QT_VERSION "6.5.0")
-set(KF_MIN_VERSION "6.0.0") # handled by release scripts
+set(KF_MIN_VERSION "6.0.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
@@ -14,21 +14,17 @@
 include(KDEInstallDirs)
 include(KDECompilerSettings)
 include(KDECMakeSettings)
-set(CMAKE_CXX_STANDARD 17)
+include(ECMDeprecationSettings)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)
 
 #########################################################################
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
+ecm_set_disabled_deprecation_versions(
+    QT 6.10.0
+)
 
-#add_definitions(-Wno-deprecated)
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-
-remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
-
-
+remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 # Includes
 include(FeatureSummary)
@@ -45,13 +41,7 @@
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KQtQuickChartsConfigVersion.cmake"
   SOVERSION 1)
 
-#add_subdirectory(autotests)
-
 add_subdirectory(src)
-
-# if(KF5Config_FOUND AND KF5I18n_FOUND AND KF5IconThemes_FOUND AND KF5KIO_FOUND)
-#     add_subdirectory(tests)
-# endif()
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KQtQuickCharts")

=== debian/changelog ===
kqtquickcharts (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:02 +0000

kqtquickcharts (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with kf5
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install

## kqtquickcharts 25.11.90

=== debian/changelog ===
kqtquickcharts (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:33 +0000

## kqtquickcharts 25.12.0

=== debian/changelog ===
kqtquickcharts (4:25.12.0-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:50:29 +0000

kqtquickcharts (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:12 +1000

## kqtquickcharts 25.12.0+p24.04+vstable+git20251208.1435

=== debian/changelog ===
kqtquickcharts (4:25.12.0+p24.04+vstable+git20251208.1435-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:35:54 +0000

## kqtquickcharts 25.12.1

=== debian/changelog ===
kqtquickcharts (4:25.12.1-1) unstable; urgency=medium

  [ Benxi Yang ]
  * Update uploader information in debian/control file.
  * Remove unnecessary rules in debian/rules. (Closes: #1112167)
  * Add missing build dependency on dh-sequence-kf6.
  * New upstream release.
  * Migrate to debian/watch version 5 syntax.
  * Bump Standards-Version to 4.7.3, remove priority field.

  [ Aurélien COUDERC ]
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Jan 2026 12:18:42 +0100

=== debian/control ===
Source: kqtquickcharts
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Benxi Yang <ybx332@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-qmldeps,
               cmake (>= 3.5~),
               extra-cmake-modules (>= 1.1.0~),
               dh-sequence-kf6,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/libraries/kqtquickcharts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kqtquickcharts.git
Rules-Requires-Root: no

Package: qml6-module-org-kde-charts
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: QtQuick plugin to render interactive charts
 A QtQuick plugin to render beautiful and interactive charts.
 .
 kqtquickcharts is part of KDE Applications.

## kqtquickcharts 25.12.1+p24.04+vstable+git20260106.1524

=== debian/changelog ===
kqtquickcharts (4:25.12.1+p24.04+vstable+git20260106.1524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:24:42 +0000

kqtquickcharts (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:34 +1000

## kqtquickcharts 25.12.1+p24.04+vunstable+git20260106.1524

=== debian/changelog ===
kqtquickcharts (4:25.12.1+p24.04+vunstable+git20260106.1524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:24:48 +0000

## kqtquickcharts 25.12.2

=== debian/changelog ===
kqtquickcharts (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:32 +0000

kqtquickcharts (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:11:24 +0000

kqtquickcharts (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:41 +0000
